UMOUNT(8)

NOMBRE
umount - desmonta sistemas de ficheros

SINOPSIS
umount [-hV]

umount -a [-nrv] [-t tipofsv]
umount [-nrv] dispositivo | dir [...]

DESCRIPCIÓN
La orden umount despega de la jerarquía o árbol de ficheros el/los sistema(s) de ficheros mencionado(s). Un sistema de ficheros se puede especificar bien dando el directorio donde ha sido montado, o bien dando el dispositivo o fichero especial donde reside. Observe que un sistema de ficheros no puede desmontarse cuando está `ocupado': por ejemplo, cuando hay en él ficheros abiertos, o cuando algún proceso tiene su directorio de trabajo allí, o cuando un fichero de trasiego en él está en uso. El proceso que impide el desmontaje podría ser incluso el mismo umount: él abre libc, y libc a su vez puede abrir por ejemplo ficheros de localización. Las opciones para la orden umount son:

-V  Muestra el número de versión y acaba.

-h  Muestra un mensaje de ayuda y acaba.

-v  Modo prolijo.

-n  Desmonta sin escribir en /etc/mtab.

-r  En el caso de que el desmontaje falle, intenta re-montar de lectura exclusiva.

-a  Se desmontan todos los sistemas de ficheros descritos en /etc/mtab. (Con las versiones 2.7 de umount y superiores: el sistema de ficheros proc no se desmonta.)

-t tipofsv
    Indica que las acciones sólo deben efectuarse sobre sistemas de ficheros del tipo especificado. Se puede dar más de un tipo empleando una lista de tipos separados por comas. La lista de tipos de sistemas de ficheros puede llevar como prefijo la partícula no para especificar los tipos de sistemas de ficheros sobre los cuales no se tomará ninguna acción.

EL DISPOSITIVO DE BUCLE
La orden umount liberará el dispositivo de bucle (si hay alguno) asociado al montaje, en el caso de que encuentre la opción `loop=...' en /etc/mtab. Cualesquier dispositivos de bucles pendientes pueden liberarse empleando `losetup -d'; vea losetup(8).

FICHEROS
/etc/mtab tabla de sistemas de ficheros montados.

VÉASE TAMBIÉN
umount(2), mount(8), losetup(8).

HISTORIA
Una orden umount apareció en la Versión 6 del UNIX de AT&T.